CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.7$0-$5k0.24

A vulnerability was found in WordPress up to 5.8.2 (Content Management System). It has been declared as critical. Affected by this vulnerability is an unknown code block. The manipulation with an unknown input leads to a sql injection vulnerability. The CWE definition for the vulnerability is CWE-89. The software constructs all or part of an SQL command using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify the intended SQL command when it is sent to a downstream component. As an impact it is known to affect confidentiality, integrity, and availability.

The weakness was disclosed 01/07/2022 as GHSA-jp3p-gw8h-6x86. The advisory is shared at github.com. This vulnerability is known as CVE-2022-21664 since 11/16/2021. Neither technical details nor an exploit are publicly available. The price for an exploit might be around USD $0-$5k at the moment (estimation calculated on 01/07/2022). MITRE ATT&CK project uses the attack technique T1505 for this issue.

Upgrading to version 5.8.3 eliminates this vulnerability. Applying the patch c09ccfbc547d75b392dbccc1ef0b4442ccd3c957 is able to eliminate this problem. The bugfix is ready for download at github.com. The best possible mitigation is suggested to be upgrading to the latest version.

Productinfo

Type

Name

License

  • open-source

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 6.8
VulDB Meta Temp Score: 6.7

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CNA Base Score: 7.4
CNA Vector (GitHub, Inc.): 🔍

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

Exploitinginfo

Class: Sql injection
CWE: CWE-89 / CWE-74 / CWE-707
ATT&CK: T1505

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: WordPress 5.8.3
Patch: c09ccfbc547d75b392dbccc1ef0b4442ccd3c957

Timelineinfo

11/16/2021 🔍
01/07/2022 +52 days 🔍
01/07/2022 +0 days 🔍
01/09/2022 +2 days 🔍

Sourcesinfo

Product: wordpress.com

Advisory: GHSA-jp3p-gw8h-6x86
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2022-21664 (🔍)

Entryinfo

Created: 01/07/2022 08:24 AM
Updated: 01/09/2022 05:09 PM
Changes: 01/07/2022 08:24 AM (49), 01/07/2022 08:28 AM (2), 01/09/2022 05:01 PM (2), 01/09/2022 05:09 PM (1)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you need the next level of professionalism?

Upgrade your account now!